//
// stack.h - general stack.
//
// author: J.I.v.Hemert
// last updated: 29-09-1997
//
// This file contains the class StackC. It's a general push and pop
// stack. The data it stores is defined by the typedef StackT.
//

#ifndef STACK_H
#define STACK_H


#include <stddef.h>
#include <malloc.h>


typedef int StackT;

typedef struct InternalStackS {
	StackT data;
	struct InternalStackS * next;
} InternalStackT;

typedef InternalStackT * InternalStackP;


class StackC {
public:
	StackC ();
	void Push (StackT data);
	StackT Pop ();
	StackT Look ();
	bool Empty ();
	~StackC ();
private:
	InternalStackP top;
};


#endif


// eof stack.h
